=== modified file 'configure.ac'
--- configure.ac	2008-10-06 04:45:56 +0000
+++ configure.ac	2008-10-06 19:59:47 +0000
@@ -838,7 +838,6 @@
 #--------------------------------------------------------------------
 
 AC_CHECK_LIB(m, floor, [], AC_CHECK_LIB(m, __infinity))
-AC_CHECK_FUNCS(log2)
 
 AC_CHECK_FUNC(setsockopt, [], [AC_CHECK_LIB(socket, setsockopt)])
 AC_CHECK_FUNC(yp_get_default_domain, [],

=== modified file 'drizzled/rpl_mi.cc'
--- drizzled/rpl_mi.cc	2008-10-06 01:56:16 +0000
+++ drizzled/rpl_mi.cc	2008-10-06 19:59:47 +0000
@@ -26,14 +26,12 @@
 
 Master_info::Master_info()
   :Slave_reporting_capability("I/O"),
-   ssl(0), ssl_verify_server_cert(0), fd(-1),  io_thd(0), port(DRIZZLE_PORT),
+   fd(-1),  io_thd(0), port(DRIZZLE_PORT),
    connect_retry(DEFAULT_CONNECT_RETRY), heartbeat_period(0),
    received_heartbeats(0), inited(0),
    abort_slave(0), slave_running(0), slave_run_id(0)
 {
   host[0] = 0; user[0] = 0; password[0] = 0;
-  ssl_ca[0]= 0; ssl_capath[0]= 0; ssl_cert[0]= 0;
-  ssl_cipher[0]= 0; ssl_key[0]= 0;
 
   memset(&file, 0, sizeof(file));
   pthread_mutex_init(&run_lock, MY_MUTEX_INIT_FAST);
@@ -178,7 +176,6 @@
 
     mi->fd = fd;
     int port, connect_retry, master_log_pos, lines;
-    int ssl= 0, ssl_verify_server_cert= 0;
     float master_heartbeat_period= 0.0;
     char *first_non_digit;
 
@@ -241,26 +238,6 @@
     */
     if (lines >= LINES_IN_MASTER_INFO_WITH_SSL)
     {
-      if (init_intvar_from_file(&ssl, &mi->file, 0) ||
-          init_strvar_from_file(mi->ssl_ca, sizeof(mi->ssl_ca),
-                                &mi->file, 0) ||
-          init_strvar_from_file(mi->ssl_capath, sizeof(mi->ssl_capath),
-                                &mi->file, 0) ||
-          init_strvar_from_file(mi->ssl_cert, sizeof(mi->ssl_cert),
-                                &mi->file, 0) ||
-          init_strvar_from_file(mi->ssl_cipher, sizeof(mi->ssl_cipher),
-                                &mi->file, 0) ||
-          init_strvar_from_file(mi->ssl_key, sizeof(mi->ssl_key),
-                               &mi->file, 0))
-      goto errwithmsg;
-
-      /*
-        Starting from 5.1.16 ssl_verify_server_cert might be
-        in the file
-      */
-      if (lines >= LINE_FOR_MASTER_SSL_VERIFY_SERVER_CERT &&
-          init_intvar_from_file(&ssl_verify_server_cert, &mi->file, 0))
-        goto errwithmsg;
       /*
         Starting from 6.0 master_heartbeat_period might be
         in the file
@@ -270,11 +247,6 @@
         goto errwithmsg;
     }
 
-    if (ssl)
-      sql_print_warning(_("SSL information in the master info file "
-                          "('%s') are ignored because this MySQL slave was "
-                          "compiled without SSL support."), fname);
-
     /*
       This has to be handled here as init_intvar_from_file can't handle
       my_off_t types
@@ -282,8 +254,6 @@
     mi->master_log_pos= (my_off_t) master_log_pos;
     mi->port= (uint) port;
     mi->connect_retry= (uint) connect_retry;
-    mi->ssl= (bool) ssl;
-    mi->ssl_verify_server_cert= ssl_verify_server_cert;
     mi->heartbeat_period= master_heartbeat_period;
   }
 
@@ -361,13 +331,11 @@
   sprintf(heartbeat_buf, "%.3f", mi->heartbeat_period);
   my_b_seek(file, 0L);
   my_b_printf(file,
-              "%u\n%s\n%s\n%s\n%s\n%s\n%d\n%d\n%d\n%s\n%s\n%s\n%s\n%s\n%d\n%s\n",
+              "%u\n%s\n%s\n%s\n%s\n%s\n%d\n%d\n%d\n%s\n",
               LINES_IN_MASTER_INFO,
               mi->master_log_name, llstr(mi->master_log_pos, lbuf),
               mi->host, mi->user,
               mi->password, mi->port, mi->connect_retry,
-              (int)(mi->ssl), mi->ssl_ca, mi->ssl_capath, mi->ssl_cert,
-              mi->ssl_cipher, mi->ssl_key, mi->ssl_verify_server_cert,
               heartbeat_buf);
   return(-flush_io_cache(file));
 }

=== modified file 'drizzled/rpl_mi.h'
--- drizzled/rpl_mi.h	2008-10-06 06:47:29 +0000
+++ drizzled/rpl_mi.h	2008-10-06 19:59:47 +0000
@@ -68,10 +68,6 @@
   char host[HOSTNAME_LENGTH+1];
   char user[USERNAME_LENGTH+1];
   char password[MAX_PASSWORD_LENGTH+1];
-  bool ssl; // enables use of SSL connection if true
-  char ssl_ca[FN_REFLEN], ssl_capath[FN_REFLEN], ssl_cert[FN_REFLEN];
-  char ssl_cipher[FN_REFLEN], ssl_key[FN_REFLEN];
-  bool ssl_verify_server_cert;
 
   my_off_t master_log_pos;
   File fd; // we keep the file open, so we need to remember the file pointer

=== modified file 'drizzled/rpl_record.cc'
--- drizzled/rpl_record.cc	2008-10-06 06:47:29 +0000
+++ drizzled/rpl_record.cc	2008-10-06 19:59:47 +0000
@@ -52,7 +52,6 @@
 
    @return The number of bytes written at @c row_data.
  */
-#if !defined(DRIZZLE_CLIENT)
 size_t
 pack_row(Table *table, MY_BITMAP const* cols,
          unsigned char *row_data, const unsigned char *record)
@@ -126,7 +125,6 @@
   assert(null_ptr == row_data + null_byte_count);
   return(static_cast<size_t>(pack_ptr - row_data));
 }
-#endif
 
 
 /**

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2008-10-06 06:47:29 +0000
+++ drizzled/server_includes.h	2008-10-06 19:59:47 +0000
@@ -23,8 +23,6 @@
   @details
   Mostly this file is used in the server. But a little part of it is used in
   mysqlbinlog too (definition of SELECT_DISTINCT and others).
-  The consequence is that 90% of the file is wrapped in \#ifndef DRIZZLE_CLIENT,
-  except the part which must be in the server and in the client.
 
   @TODO Name this file better. "priv" could mean private, privileged, privileges.
 */
@@ -110,29 +108,8 @@
 
 bool check_simple_select();
 
-/* @TODO <UNUSED> */
 void mysql_init_select(LEX *lex);
 bool mysql_new_select(LEX *lex, bool move_down);
-void init_max_user_conn(void);
-void free_max_user_conn(void);
-pthread_handler_t handle_bootstrap(void *arg);
-int mysql_execute_command(THD *thd);
-bool check_dup(const char *db, const char *name, TableList *tables);
-bool check_table_access(THD *thd, ulong want_access, TableList *tables,
-                        bool no_errors,
-                        bool any_combination_of_privileges_will_do,
-                        uint32_t number);
-/*
-  General routine to change field->ptr of a NULL-terminated array of Field
-  objects. Useful when needed to call val_int, val_str or similar and the
-  field data is not in table->record[0] but in some other structure.
-  set_key_field_ptr changes all fields of an index using a key_info object.
-  All methods presume that there is at least one field to change.
-*/
-void set_field_ptr(Field **ptr, const unsigned char *new_buf, const unsigned char *old_buf);
-void set_key_field_ptr(KEY *key_info, const unsigned char *new_buf,
-                       const unsigned char *old_buf);
-/* </UNUSED> */
 
 /* sql_base.cc */
 void table_cache_free(void);
@@ -1058,28 +1035,6 @@
   return -1;
 }
 
-/**
-  return true if the table was created explicitly.
-*/
-inline bool is_user_table(Table * table)
-{
-  const char *name= table->s->table_name.str;
-  return strncmp(name, tmp_file_prefix, tmp_file_prefix_length);
-}
-
-
-#ifndef HAVE_LOG2
-/*
-  This will be slightly slower and perhaps a tiny bit less accurate than
-  doing it the IEEE754 way but log2() should be available on C99 systems.
-*/
-static inline double log2(double x)
-{
-  return (log(x) / M_LN2);
-}
-#endif
-
-
 /*
   Some functions that are different in the embedded library and the normal
   server
@@ -1089,49 +1044,4 @@
 void kill_delayed_threads(void);
 bool check_stack_overrun(THD *thd, long margin, unsigned char *dummy);
 
-/** 
- * Used by handlers to store things in schema tables 
- *
- * @TODO These should be placed in an information_schema.h header
- * file once the new information schema design is finalized.
- */
-#define IS_FILES_FILE_ID              0
-#define IS_FILES_FILE_NAME            1
-#define IS_FILES_FILE_TYPE            2
-#define IS_FILES_TABLESPACE_NAME      3
-#define IS_FILES_TABLE_CATALOG        4
-#define IS_FILES_TABLE_SCHEMA         5
-#define IS_FILES_TABLE_NAME           6
-#define IS_FILES_LOGFILE_GROUP_NAME   7
-#define IS_FILES_LOGFILE_GROUP_NUMBER 8
-#define IS_FILES_ENGINE               9
-#define IS_FILES_FULLTEXT_KEYS       10
-#define IS_FILES_DELETED_ROWS        11
-#define IS_FILES_UPDATE_COUNT        12
-#define IS_FILES_FREE_EXTENTS        13
-#define IS_FILES_TOTAL_EXTENTS       14
-#define IS_FILES_EXTENT_SIZE         15
-#define IS_FILES_INITIAL_SIZE        16
-#define IS_FILES_MAXIMUM_SIZE        17
-#define IS_FILES_AUTOEXTEND_SIZE     18
-#define IS_FILES_CREATION_TIME       19
-#define IS_FILES_LAST_UPDATE_TIME    20
-#define IS_FILES_LAST_ACCESS_TIME    21
-#define IS_FILES_RECOVER_TIME        22
-#define IS_FILES_TRANSACTION_COUNTER 23
-#define IS_FILES_VERSION             24
-#define IS_FILES_ROW_FORMAT          25
-#define IS_FILES_TABLE_ROWS          26
-#define IS_FILES_AVG_ROW_LENGTH      27
-#define IS_FILES_DATA_LENGTH         28
-#define IS_FILES_MAX_DATA_LENGTH     29
-#define IS_FILES_INDEX_LENGTH        30
-#define IS_FILES_DATA_FREE           31
-#define IS_FILES_CREATE_TIME         32
-#define IS_FILES_UPDATE_TIME         33
-#define IS_FILES_CHECK_TIME          34
-#define IS_FILES_CHECKSUM            35
-#define IS_FILES_STATUS              36
-#define IS_FILES_EXTRA               37
-
 #endif /* DRIZZLE_SERVER_SERVER_INCLUDES_H */

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-10-06 05:57:49 +0000
+++ drizzled/slave.cc	2008-10-06 19:59:47 +0000
@@ -1184,21 +1184,8 @@
   field_list.push_back(new Item_empty_string("Until_Log_File", FN_REFLEN));
   field_list.push_back(new Item_return_int("Until_Log_Pos", 10,
                                            DRIZZLE_TYPE_LONGLONG));
-  field_list.push_back(new Item_empty_string("Master_SSL_Allowed", 7));
-  field_list.push_back(new Item_empty_string("Master_SSL_CA_File",
-                                             sizeof(mi->ssl_ca)));
-  field_list.push_back(new Item_empty_string("Master_SSL_CA_Path",
-                                             sizeof(mi->ssl_capath)));
-  field_list.push_back(new Item_empty_string("Master_SSL_Cert",
-                                             sizeof(mi->ssl_cert)));
-  field_list.push_back(new Item_empty_string("Master_SSL_Cipher",
-                                             sizeof(mi->ssl_cipher)));
-  field_list.push_back(new Item_empty_string("Master_SSL_Key",
-                                             sizeof(mi->ssl_key)));
   field_list.push_back(new Item_return_int("Seconds_Behind_Master", 10,
                                            DRIZZLE_TYPE_LONGLONG));
-  field_list.push_back(new Item_empty_string("Master_SSL_Verify_Server_Cert",
-                                             3));
   field_list.push_back(new Item_return_int("Last_IO_Errno", 4, DRIZZLE_TYPE_LONG));
   field_list.push_back(new Item_empty_string("Last_IO_Error", 20));
   field_list.push_back(new Item_return_int("Last_SQL_Errno", 4, DRIZZLE_TYPE_LONG));
@@ -1264,13 +1251,6 @@
     protocol->store(mi->rli.until_log_name, &my_charset_bin);
     protocol->store((uint64_t) mi->rli.until_log_pos);
 
-    protocol->store(mi->ssl? "Ignored":"No", &my_charset_bin);
-    protocol->store(mi->ssl_ca, &my_charset_bin);
-    protocol->store(mi->ssl_capath, &my_charset_bin);
-    protocol->store(mi->ssl_cert, &my_charset_bin);
-    protocol->store(mi->ssl_cipher, &my_charset_bin);
-    protocol->store(mi->ssl_key, &my_charset_bin);
-
     /*
       Seconds_Behind_Master: if SQL thread is running and I/O thread is
       connected, we can compute it otherwise show NULL (i.e. unknown).
@@ -1307,7 +1287,6 @@
     {
       protocol->store_null();
     }
-    protocol->store(mi->ssl_verify_server_cert? "Yes":"No", &my_charset_bin);
 
     // Last_IO_Errno
     protocol->store(mi->last_error().number);

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2008-10-06 06:47:29 +0000
+++ drizzled/sql_base.cc	2008-10-06 19:59:47 +0000
@@ -24,6 +24,16 @@
 #define FLAGSTR(S,F) ((S) & (F) ? #F " " : "")
 
 /**
+  return true if the table was created explicitly.
+*/
+inline bool is_user_table(Table * table)
+{
+  const char *name= table->s->table_name.str;
+  return strncmp(name, tmp_file_prefix, tmp_file_prefix_length);
+}
+
+
+/**
   @defgroup Data_Dictionary Data Dictionary
   @{
 */

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2008-10-06 05:57:49 +0000
+++ drizzled/sql_lex.h	2008-10-06 19:59:47 +0000
@@ -131,9 +131,7 @@
     Enum is used for making it possible to detect if the user
     changed variable or if it should be left at old value
    */
-  enum {LEX_MI_UNCHANGED, LEX_MI_DISABLE, LEX_MI_ENABLE}
-    ssl, ssl_verify_server_cert, heartbeat_opt;
-  char *ssl_key, *ssl_cert, *ssl_ca, *ssl_capath, *ssl_cipher;
+  enum {LEX_MI_UNCHANGED, LEX_MI_DISABLE, LEX_MI_ENABLE} heartbeat_opt;
   char *relay_log_name;
   uint32_t relay_log_pos;
 } LEX_MASTER_INFO;
@@ -1376,7 +1374,6 @@
   LEX_STRING name;
   char *help_arg;
   char* to_log;                                 /* For PURGE MASTER LOGS TO */
-  char* x509_subject,*x509_issuer,*ssl_cipher;
   String *wild;
   sql_exchange *exchange;
   select_result *result;

=== modified file 'drizzled/sql_repl.cc'
--- drizzled/sql_repl.cc	2008-10-06 05:57:49 +0000
+++ drizzled/sql_repl.cc	2008-10-06 19:59:47 +0000
@@ -1186,28 +1186,6 @@
     mi->heartbeat_period= (float) cmin((double)SLAVE_MAX_HEARTBEAT_PERIOD,
                                       (slave_net_timeout/2.0));
   mi->received_heartbeats= 0L; // counter lives until master is CHANGEd
-  if (lex_mi->ssl != LEX_MASTER_INFO::LEX_MI_UNCHANGED)
-    mi->ssl= (lex_mi->ssl == LEX_MASTER_INFO::LEX_MI_ENABLE);
-
-  if (lex_mi->ssl_verify_server_cert != LEX_MASTER_INFO::LEX_MI_UNCHANGED)
-    mi->ssl_verify_server_cert=
-      (lex_mi->ssl_verify_server_cert == LEX_MASTER_INFO::LEX_MI_ENABLE);
-
-  if (lex_mi->ssl_ca)
-    strmake(mi->ssl_ca, lex_mi->ssl_ca, sizeof(mi->ssl_ca)-1);
-  if (lex_mi->ssl_capath)
-    strmake(mi->ssl_capath, lex_mi->ssl_capath, sizeof(mi->ssl_capath)-1);
-  if (lex_mi->ssl_cert)
-    strmake(mi->ssl_cert, lex_mi->ssl_cert, sizeof(mi->ssl_cert)-1);
-  if (lex_mi->ssl_cipher)
-    strmake(mi->ssl_cipher, lex_mi->ssl_cipher, sizeof(mi->ssl_cipher)-1);
-  if (lex_mi->ssl_key)
-    strmake(mi->ssl_key, lex_mi->ssl_key, sizeof(mi->ssl_key)-1);
-  if (lex_mi->ssl || lex_mi->ssl_ca || lex_mi->ssl_capath ||
-      lex_mi->ssl_cert || lex_mi->ssl_cipher || lex_mi->ssl_key ||
-      lex_mi->ssl_verify_server_cert )
-    push_warning(thd, DRIZZLE_ERROR::WARN_LEVEL_NOTE,
-                 ER_SLAVE_IGNORED_SSL_PARAMS, ER(ER_SLAVE_IGNORED_SSL_PARAMS));
 
   if (lex_mi->relay_log_name)
   {

